Bug 1381303 - Review Request: perl-LaTeX-ToUnicode - Convert LaTeX commands to Unicode
Summary: Review Request: perl-LaTeX-ToUnicode - Convert LaTeX commands to Unicode
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1381307
TreeView+ depends on / blocked
 
Reported: 2016-10-03 15:54 UTC by Petr Pisar
Modified: 2016-10-28 00:40 UTC (History)
2 users (show)

Fixed In Version: perl-LaTeX-ToUnicode-0.04-1.fc26 perl-LaTeX-ToUnicode-0.04-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-28 00:40:46 UTC
Type: ---
tcallawa: fedora-review+


Attachments (Terms of Use)

Description Petr Pisar 2016-10-03 15:54:33 UTC
Spec URL: https://ppisar.fedorapeople.org/perl-LaTeX-ToUnicode/perl-LaTeX-ToUnicode.spec
SRPM URL: https://ppisar.fedorapeople.org/perl-LaTeX-ToUnicode/perl-LaTeX-ToUnicode-0.04-1.fc26.src.rpm
Description:
This Perl module provides a method to convert LaTeX-style markups for accents
etc. into their Unicode equivalents. It translates commands for special
characters or accents into their Unicode equivalents and removes
formatting commands.

Fedora Account System Username: ppisar

Comment 1 Tom "spot" Callaway 2016-10-03 17:40:02 UTC
= Review = 

Good:

- rpmlint checks return:
perl-LaTeX-ToUnicode.noarch: E: incorrect-fsf-address /usr/share/licenses/perl-LaTeX-ToUnicode/LICENSE

(safe to ignore, may want to ask upstream to update their LICENSE text)

- package meets naming guidelines
- package meets packaging guidelines
- license (GPL+ or Artistic) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream (b9023af14629a53bcf4e6e7379b3712b84fabc48c4ea5221670f681473ca11b0)
- package compiles on f24 (noarch)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

APPROVED.

Comment 2 Gwyn Ciesla 2016-10-04 12:22:05 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-LaTeX-ToUnicode

Comment 3 Fedora Update System 2016-10-05 20:30:48 UTC
perl-BibTeX-Parser-0.69-1.fc25, perl-LaTeX-ToUnicode-0.04-1.fc25, texlive-2016-5.20160520.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-50a2bc7997

Comment 4 Fedora Update System 2016-10-06 20:59:46 UTC
perl-BibTeX-Parser-0.69-1.fc25, perl-LaTeX-ToUnicode-0.04-1.fc25, texlive-2016-6.20160520.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-50a2bc7997

Comment 5 Fedora Update System 2016-10-09 12:30:49 UTC
perl-BibTeX-Parser-0.69-1.fc25, perl-LaTeX-ToUnicode-0.04-1.fc25, texlive-2016-7.20160520.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-50a2bc7997

Comment 6 Fedora Update System 2016-10-26 20:33:48 UTC
perl-BibTeX-Parser-0.69-1.fc25, perl-LaTeX-ToUnicode-0.04-1.fc25, texlive-2016-17.20160520.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-50a2bc7997

Comment 7 Fedora Update System 2016-10-28 00:40:46 UTC
perl-BibTeX-Parser-0.69-1.fc25, perl-LaTeX-ToUnicode-0.04-1.fc25, texlive-2016-17.20160520.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.